maxClique {RBGL} | R Documentation

## Find all the cliques in a graph

### Description

Find all the cliques in a graph

### Usage

    maxClique(g)

### Arguments

`g` | an instance of the `graph` class

### Details

Notice the maximum clique problem is NP-complete, which means it cannot be solved by any known polynomial algorithm.

We implemented the algorithm from: Finding all cliques of an undirected graph, by C. Bron and J. Kerbosch, Communication of ACM, Sept 1973, Vol 16, No. 9.

### Value

`maxClique` | list of all cliques in `g`

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

### See Also

### Examples

    coex <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL"), open="r"))
    maxClique(coex)
    coex <- fromGXL(file(system.file("XML/hcs.gxl",package="RBGL"), open="r"))
    maxClique(coex)

[Package RBGL version 1.10.0 Index]